# smfi_main

SYNOPSIS

    #include <libmilter/mfapi.h>
    int smfi_main(
    );

Hand control to libmilter event loop.

DESCRIPTION

Called When | smfi_main is called after a filter's initialization is complete.
Effects | smfi_main hands control to the Milter event loop.

RETURN VALUES | smfi_main will return MI_FAILURE if it fails to establish a connection. This may occur for any of a variety of reasons (e.g. invalid address passed to smfi_setconn). The reason for the failure will be logged. Otherwise, smfi_main will return MI_SUCCESS.

Copyright (c) 2000, 2003 Proofpoint, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.